import multiprocessing as mp

class Port(object):
    def __init__(self):
        self.pipe_end = None

    #'>' operator: Connect
    def __gt__(self, other):
        return self.__connect__(other)

    def __connect__(self, other):
        snk_end, src_end = mp.Pipe(duplex=False)
        self.pipe_end  = src_end
        other.pipe_end = snk_end
        return

    def send(self, item):
       self.pipe_end.send(item) 

    def recv(self):
        while True:
            try:
                yield self.pipe_end.recv()
            except EOFError:
                break


#class Connection():
#    def __init__(self):
#        self.src_end, self.snk_end = mp.Pipe()


class Component(mp.Process):
    def __init__(self):
        mp.Process.__init__(self)
        self.inst_name = None
        self.file_name = None
        self.components = None # subcomponents, voor later wanneer '>' ook een component returnt
        self.connections = []  # connections between subcomponents, voor later wanneer '>' ook een component returnt






class Counter(Component):
    def __init__(self):
        Component.__init__(self)
        self.src = Port()
    def run(self):
        for item in xrange(2000):
            self.src.send(item) 

class Printer(Component):
    def __init__(self):
        Component.__init__(self)
        self.snk = Port() 
    def run(self):
        for item in self.snk.recv():
            print item
 

a = Counter()
b = Printer()

a.src > b.snk


b.start()
a.start()

import time
time.sleep(1)

a.terminate()
b.terminate()
